#
from setuptools import setup, find_packages

setup(name="pygpibtoolkit",
      author='David Douard',
      packages=find_packages(),
      version='0.1.0',
      install_requires=[
          'pyserial', 'numpy', 'PyQt5', 'pyqtgraph'],
      entry_points={'console_scripts': [
          'pygpib-detect=pygpibtoolkit.detect:main',
          'hp3562-coord=pygpibtoolkit.HP3562A.coord_decoder:main',
          'hp3562-state=pygpibtoolkit.HP3562A.state_decoder:main',
          'hp3562-trace=pygpibtoolkit.HP3562A.trace_decoder:main',
          'hp3562-dump=pygpibtoolkit.HP3562A.dump_datablock:main',
          'hp3562=pygpibtoolkit.HP3562A.q3562A:main',
          'pygpib-plotter=pygpibtoolkit.plotter.qgpib_plotter:main',
          ]}
      )
